//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RichView.hpp"
#include "RVEdit.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Graphics.hpp>
#include "RxGIF.hpp"
#include <ExtCtrls.hpp>
#include "PtblRV.hpp"
#include "RVReport.hpp"
#include "RVTable.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TRichViewEdit *RichViewEdit1;
        TRVStyle *RVStyle1;
        TImage *Image1;
        TRVPrint *RVPrint1;
        TRVReportHelper *rvhHeader;
        TRVReportHelper *rvhFooter;
        TButton *Button1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall RVPrint1PagePrepaint(TRVPrint *Sender, int PageNo,
          TCanvas *Canvas, bool Preview, TRect &PageRect,
          TRect &PrintAreaRect);
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
        int HeaderHeight, FooterHeight;
        void MakeHeader(TRVReportHelper*rvh, int PageNo, int PageCount);
        void MakeFooter(TRVReportHelper*rvh, int PageNo, int PageCount);        
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
